Main Page Widgets Namespaces Book

# Gtk::VScale Class Reference
[Widgets]

Inheritance diagram for Gtk::VScale:

[legend]
List of all members.

## Detailed Description

A vertical slider for selecting values.

The Gtk::VScale widget is used to allow the user to select a value using a vertical slider. See the Gtk::Scale documentation for more information on how to use a Gtk::VScale.

## Public Member Functions

virtual | ~VScale ()
GtkVScale* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkVScale* | gobj () const
| Provides access to the underlying C GtkObject.
| VScale ()
| VScale (double min, double max, double step)
| Construct a VScale with the given minimum and maximum.
| VScale (Adjustment& adjustment)

## Related Functions

(Note that these are not member functions.)
Gtk::VScale* | wrap (GtkVScale* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::VScale::~VScale | ( |  | ) | `[virtual]`

Gtk::VScale::VScale | ( |  | ) |

Gtk::VScale::VScale | ( | double | min,
|  | double | max,
|  | double | step
| ) |

| Construct a VScale with the given minimum and maximum. The step size is the distance the slider moves when the arrow keys are used to adjust the scale value.

Gtk::VScale::VScale | ( | Adjustment& | adjustment | ) | `[explicit]`

## Member Function Documentation

const GtkVScale* Gtk::VScale::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Scale.

GtkVScale* Gtk::VScale::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Scale.

## Friends And Related Function Documentation

Gtk::VScale* wrap | ( | GtkVScale* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- scale.h